//
//  Shader_Blitter_2d_Textured.vsh
//
//  Copyright (c) 2012 Midoki Ltd. All rights reserved.
//

attribute vec3 position;
attribute vec4 colour;
attribute vec2 texCoord;

uniform vec4 offsetAndScale;

varying lowp vec4 colorVarying;
varying mediump vec2 texCoordVarying;

void main()
{
	gl_Position = vec4(position.x * offsetAndScale.z + offsetAndScale.x, position.y *offsetAndScale.w + offsetAndScale.y, position.z, 1.0);

    texCoordVarying = texCoord;
	
    colorVarying = colour * (1.0/255.0);
}
