//
//  Shader_Blitter_2d_Untextured.vsh
//
//  Copyright (c) 2012 Midoki Ltd. All rights reserved.
//

attribute vec3 position;
attribute vec4 colour;

uniform vec4 offsetAndScale;

varying lowp vec4 colorVarying;

void main()
{
	gl_Position = vec4(position.x * offsetAndScale.z + offsetAndScale.x, position.y *offsetAndScale.w + offsetAndScale.y, position.z, 1.0);

    colorVarying = colour * (1.0/255.0);
}
