//
//  Shader_ColorTex.vsh
//  CityBuilder
//
//  Created by Jonathan Webb on 18/08/2011.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

attribute vec4 position;
attribute vec4 color;
attribute vec2 texCoord;

varying lowp vec4 colorVarying;
varying highp vec2 texCoordVarying;

uniform mat4 modelViewProjectionMatrix;

void main()
{   
    colorVarying = color;
    
    texCoordVarying = texCoord;

    gl_Position = modelViewProjectionMatrix * position;
}
