//
//  Shader_LightTex.fsh
//  CityBuilder
//
//  Created by Jonathan Webb on 18/08/2011.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#if defined (ANDROID)
#define TEXTURE2DBIAS(a,b,c)	texture2D(a,b)
#else
#define TEXTURE2DBIAS(a,b,c)	texture2D(a,b,c)
#endif

varying lowp vec4 colorVarying;
varying lowp vec2 texCoordVarying;
varying lowp vec2 texCoordVarying2;

uniform sampler2D texture;
uniform sampler2D texture2;

void main()
{
    lowp vec4 texel  = TEXTURE2DBIAS(texture,  texCoordVarying,  -1.0);
    lowp vec4 texel2 = TEXTURE2DBIAS(texture2, texCoordVarying2, -1.0);

//	lowp vec3 combinedRGB = (texel.xyz * (1.0 - texel2.w)) + (texel2.xyz * texel2.w);
//	lowp vec3 combinedRGB = (texel.xyz * (1.0 - texel2.w)) + ((texel.xyz * texel2.xyz) * texel2.w);
	lowp vec3 combinedRGB = (texel.xyz * texel2.xyz);

	combinedRGB = (combinedRGB * colorVarying.xyz);
	
	gl_FragColor = vec4(combinedRGB, texel.w);
}
