//
//  Shader_LightTex.fsh
//  CityBuilder
//
//  Created by Jonathan Webb on 18/08/2011.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#if defined (ANDROID)
#define TEXTURE2DBIAS(a,b,c)	texture2D(a,b)
#else
#define TEXTURE2DBIAS(a,b,c)	texture2D(a,b,c)
#endif

varying lowp vec4 colorVarying;
varying mediump vec2 texCoordVarying;
varying mediump	vec3 normalVarying;
varying mediump	vec3 refVectorVarying;

//------------------------------------------------------------------------------

uniform sampler2D texture;

void main()
{
	mediump	float	specular = max(pow(dot(normalize(refVectorVarying), normalize(normalVarying)), 32.0), 0.0);

    gl_FragColor = (TEXTURE2DBIAS(texture, texCoordVarying, -1.0) * colorVarying) + vec4(specular, specular, specular, 0.0);
}
