//
//  Shader_LightTex.fsh
//  CityBuilder
//
//  Created by Jonathan Webb on 18/08/2011.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#define UW_RGB_SCALE	(0.7)

varying lowp	vec4	varying_Colour;
//varying lowp	vec4	varying_fogColour;
varying mediump	vec4	varying_TextureUV_FadeValues;
varying mediump	vec2	varying_CausticsUV;

uniform sampler2D		texture;
uniform sampler2D		causticsmap;

void main()
{
	lowp vec4	texel = texture2D(texture, varying_TextureUV_FadeValues.xy);
	lowp vec4	caustics = texture2D(causticsmap, varying_CausticsUV);
	
	lowp float	fadeValue = max((varying_TextureUV_FadeValues.z - varying_TextureUV_FadeValues.w), 0.0);
//	fadeValue = (1.0 - (fadeValue * fadeValue));
//	fadeValue = (fadeValue * 0.4);

//	//gl_FragColor = vec4(((texel.xyz * varying_Colour.xyz) + (caustics.xyz * varying_Colour.w)), 1.0);
//	gl_FragColor = vec4((texel.xyz * (varying_Colour.xyz + (caustics.xyz * fadeValue))), 1.0);


//	lowp vec3 rgb   = ((texel.xyz * (varying_Colour.xyz + (caustics.xyz * fadeValue))) * varying_fogColour.w) + varying_fogColour.xyz;
	lowp vec3 rgb   = (texel.xyz * (varying_Colour.xyz + (caustics.xyz * fadeValue)));
	
	gl_FragColor = vec4((rgb * UW_RGB_SCALE), texel.w);
//	gl_FragColor = vec4(caustics.x * varying_TextureUV_FadeValues.z, caustics.x * varying_TextureUV_FadeValues.w, 0.0, texel.w);
//	gl_FragColor = vec4(caustics.x * fadeValue, 0.0, 0.0, texel.w);
}
