//
//  Shader_LightTex.fsh
//  CityBuilder
//
//  Created by Jonathan Webb on 18/08/2011.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

varying mediump vec2 texCoordVarying;

uniform sampler2D texture;

#if defined (ANDROID)
uniform lowp    vec4    uwTintColour;
#endif

void main()
{
#if defined (ANDROID)
    gl_FragColor = texture2D(texture, texCoordVarying) * uwTintColour;
#else
	gl_FragColor = texture2D(texture, texCoordVarying);
#endif
}
