//
//  Shader_PreLitTexReflectiveWater.fsh
//  CityBuilder
//
//  Created by Lee Metcalfe on 11/06/2011.
//  Copyright (c) 2011 Midoki Ltd. All rights reserved.
//

//------------------------------------------------------------------------------

uniform sampler2D		refractionmap;

//------------------------------------------------------------------------------

varying highp	vec2	texCoordVarying;

//------------------------------------------------------------------------------

void main()
{
	mediump vec4 texel = texture2D(refractionmap, texCoordVarying);

	//texel *= vec4(0.5, 0.7, 1.0, 1.0);
	texel *= vec4(((texel.x * 0.5) + 0.2), ((texel.y * 0.8) + 0.2), 1.0, 1.0);
	
	gl_FragColor = vec4(texel.xyz, 1.0);
}

//------------------------------------------------------------------------------
