//
//  Shader_Blitter_3d_Textured.vsh
//
//  Copyright (c) 2012 Midoki Ltd. All rights reserved.
//

attribute vec3 position;
attribute vec4 colour;
attribute vec2 texCoord;

varying lowp vec4 colorVarying;
varying mediump vec2 texCoordVarying;

uniform mat4 viewScreen;

void main()
{
    gl_Position = viewScreen * vec4(position, 1.0);

    texCoordVarying = texCoord;
	
    colorVarying = colour * (1.0/255.0);
}
