//
//  Shader_Blitter_AlphaTexture.fsh
//
//  Copyright (c) 2012 Midoki Ltd. All rights reserved.
//

varying lowp vec4 colorVarying;
varying mediump vec2 texCoordVarying;

uniform sampler2D baseTexture;

void main()
{
	lowp float alpha = colorVarying.w * texture2D(baseTexture, texCoordVarying).w;
    gl_FragColor = vec4(colorVarying.xyz, alpha);
}