//
//  Shader_Blitter_AlphaTexture.fsh
//
//  Copyright (c) 2012 Midoki Ltd. All rights reserved.
//

varying lowp vec4 colorVarying;
varying mediump vec2 texCoordVarying;

uniform sampler2D baseTexture;
uniform sampler2D chromaTexture;

void main()
{
	lowp float	luma = texture2D(baseTexture, texCoordVarying).x;
	lowp vec4	rgba = texture2D(chromaTexture, texCoordVarying);

	rgba.xyz *= luma;
	
	gl_FragColor = rgba * colorVarying;
}