//
//  Shader_ColorTex.fsh
//  CityBuilder
//
//  Created by Jonathan Webb on 18/08/2011.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

varying lowp vec4 colorVarying;
varying highp vec2 texCoordVarying;

uniform sampler2D texture;

void main()
{
	lowp float alpha = colorVarying.w * texture2D(texture, texCoordVarying).w;
    gl_FragColor = vec4(colorVarying.xyz, alpha);
}