//
//  Shader_LightTex.fsh
//  CityBuilder
//
//  Created by Jonathan Webb on 18/08/2011.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

varying mediump vec4 colorVarying;
varying mediump vec2 texCoordVarying;

uniform sampler2D texture;

void main()
{
	mediump vec4 texel = texture2D(texture, texCoordVarying);
	
	// This is required because we are using png textures with this shader which have their alpha pre-multiplied...
	// ...so we need to pre-multiply the vertex alpha too before it hits the blend mode!
//	texel.xyz = (texel.xyz * colorVarying.w);
	
    gl_FragColor = (texel * colorVarying);
}
