//
//  Shader_LightTexSkinned.fsh
//  CityBuilder
//
//  Created by Ben Cohen on 05/04/2012.
//  Copyright (c) 2012 Midoki. All rights reserved.
//

#if defined (ANDROID)
#define TEXTURE2DBIAS(a,b,c)	texture2D(a,b)
#else
#define TEXTURE2DBIAS(a,b,c)	texture2D(a,b,c)
#endif

varying lowp vec4 varying_colour;
varying lowp vec4 varying_fogColour;
varying lowp vec2 texCoordVarying;
varying lowp vec2 varying_screenTexCoord;

uniform sampler2D texture;
uniform sampler2D refractionmap;

void main()
{
//    gl_FragColor = TEXTURE2DBIAS(texture, texCoordVarying, -1.0) * varying_colour;
 
	mediump vec4 texel = TEXTURE2DBIAS(texture, texCoordVarying, -1.0);
	
	mediump vec3 finalRGB = ((texel.xyz * varying_colour.xyz) + varying_fogColour.xyz);

	gl_FragColor = vec4(finalRGB, 1.0);//varying_colour
}
