//
//  Shader_LightTex.fsh
//  CityBuilder
//
//  Created by Jonathan Webb on 18/08/2011.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#if defined (ANDROID)
#define TEXTURE2DBIAS(a,b,c)	texture2D(a,b)
#else
#define TEXTURE2DBIAS(a,b,c)	texture2D(a,b,c)
#endif

varying lowp vec4 colorVarying;
varying mediump vec2 texCoordVarying;
varying mediump vec2 texCoordVarying2;

uniform sampler2D texture;
uniform sampler2D texture2;

void main()
{
    lowp vec4 rgba = TEXTURE2DBIAS(texture, texCoordVarying, -1.0);
    lowp vec4 rgba2 = TEXTURE2DBIAS(texture2, texCoordVarying2, -1.0);

	rgba2.w *= sign(max(0.0, texCoordVarying2.x));

    if (rgba2.w > 0.8)
	{
		gl_FragColor = vec4((rgba.xyz * colorVarying.xyz), 1.0);
	}
	else
	{
		discard;
	}
}
