//
//  Shader_LightTex.fsh
//  CityBuilder
//
//  Created by Jonathan Webb on 18/08/2011.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#if defined (ANDROID)
#define TEXTURE2DBIAS(a,b,c)	texture2D(a,b)
#else
#define TEXTURE2DBIAS(a,b,c)	texture2D(a,b,c)
#endif

#define UW_RGB_SCALE	(0.7)

varying lowp vec4 varying_colour;
//varying lowp vec4 varying_fogColour;
varying lowp vec2 varying_texCoord;

uniform sampler2D texture;

void main()
{
	//gl_FragColor = TEXTURE2DBIAS(texture, varying_texCoord, -1.0) * varying_colour;
	
	lowp vec4 texel = TEXTURE2DBIAS(texture, varying_texCoord, -1.0);
//	lowp vec3 rgb   = ((texel.xyz * varying_colour.xyz) * varying_fogColour.w) + varying_fogColour.xyz;
	lowp vec3 rgb   = texel.xyz * varying_colour.xyz;

	gl_FragColor = vec4((rgb * UW_RGB_SCALE), texel.w);
}
