//
//  Shader_LightTex.fsh
//  CityBuilder
//
//  Created by Jonathan Webb on 18/08/2011.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

varying lowp vec2 texCoordVarying;

uniform sampler2D texture;

uniform mediump vec4 addColour;

void main()
{
//	gl_FragColor = texture2D(texture, texCoordVarying);

	mediump vec4 finalRGBA = texture2D(texture, texCoordVarying);
	
	mediump float intensity = dot(finalRGBA.xyz, vec3(0.3, 0.5, 0.2));
	mediump vec3 tintedRGB = (addColour.xyz + vec3(intensity, intensity, intensity));
	finalRGBA.xyz = (finalRGBA.xyz * (1.0 - addColour.w)) + (tintedRGB * addColour.w);

    gl_FragColor = finalRGBA;
}
