//
//  Shader_PreLitTexAnimUV.fsh
//  CityBuilder
//
//  Created by Jonathan Webb on 18/08/2011.
//  Copyright (c) 2011 Midoki Ltd. All rights reserved.
//

//------------------------------------------------------------------------------

uniform sampler2D		texture;

//------------------------------------------------------------------------------

varying lowp	vec4	colorVarying;
varying highp	vec2	texCoordVarying;

//------------------------------------------------------------------------------

void main()
{
    gl_FragColor = texture2D(texture, texCoordVarying) * colorVarying;
}

//------------------------------------------------------------------------------
