//
//  Shader_PreLitTexReflectiveWater.fsh
//  CityBuilder
//
//  Created by Lee Metcalfe on 11/06/2011.
//  Copyright (c) 2011 Midoki Ltd. All rights reserved.
//

//------------------------------------------------------------------------------

uniform sampler2D		refractionmap;

//------------------------------------------------------------------------------

varying highp	vec2	texCoordVarying;

//------------------------------------------------------------------------------

void main()
{
	mediump vec4 texel = texture2D(refractionmap, texCoordVarying);

	gl_FragColor = vec4(texel.xyz, 1.0);
}

//------------------------------------------------------------------------------
